# nvme-write-zeroes(1)

# nvme-write-zeroes(1) Manual Page

## NAME

nvme-write-zeroes - Send an NVMe write zeroes command, return results

## SYNOPSIS

    nvme-write-zeroes <device> [--start-block=<slba> | -s <slba>]
                            [--block-count=<nlb> | -c <nlb>]
                            [--ref-tag=<reftag> | -r <reftag>]
                            [--prinfo=<prinfo> | -p <prinfo>]
                            [--app-tag-mask=<appmask> | -m <appmask>]
                            [--app-tag=<apptag> | -a <apptag>]
                            [--deac | -d]
                            [--limited-retry | -l]
                            [--force-unit-access | -f]
                            [--namespace-id=<nsid> | -n <nsid>]
                            [--storage-tag<storage-tag> | -S <storage-tag>]
                            [--storage-tag-check<storage-tag-check> | -C <storage-tag-check>]
                            [--force]

## DESCRIPTION

The Write Zeroes command is used to set a range of logical blocks to 0.

## OPTIONS

--start-block=<slba>
-s <slba>

  Start block.

--block-count=<nlb>
-c <nlb>

  Number of logical blocks to write zeroes.

--prinfo=<prinfo>
-p <prinfo>

  Protection Information field definition.

  Bit | Description
  3 | PRACT: Protection Information Action. When set to 1, PI is stripped/inserted on read/write when the block format’s metadata size is 8. When set to 0, metadata is passes.
  2:0 | PRCHK: Protection Information Check:
  2 | Set to 1 enables checking the guard tag
  1 | Set to 1 enables checking the application tag
  0 | Set to 1 enables checking the reference tag

--ref-tag=<reftag>
-r <reftag>

  Optional reftag when used with protection information.

--app-tag-mask=<appmask>
-m <appmask>

  Optional application tag mask when used with protection information.

--app-tag=<apptag>
-a <apptag>

  Optional application tag when used with protection information.

--limited-retry
-l

  Sets the limited retry flag.

--deac
-d

  Sets the DEAC bit, requesting controller deallocate the logical blocks.

--force-unit-access
-f

  Set the force-unit access flag.

--namespace-id=<nsid>
-n <nsid>

  Namespace ID use in the command.

--storage-tag=<storage-tag>
-S <storage-tag>

  Variable Sized Logical Block Storage Tag(LBST).

--storage-tag-check=<storage-tag-check>
-C <storage-tag-check>

  This bit specifies the Storage Tag field shall be checked as part of end-to-end data protection processing.

--force

  Ignore namespace is currently busy and performed the operation even though.

## EXAMPLES

No examples yet.

## NVME

Part of the nvme-user suite